package com.qhclh.ytzh.work.Poultrydailyreport;

import android.support.design.widget.TabLayout;
import android.support.v4.app.Fragment;
import android.support.v4.app.FragmentManager;
import android.support.v4.app.FragmentPagerAdapter;
import android.support.v4.view.ViewPager;
import android.support.v7.widget.Toolbar;
import android.view.View;
import android.widget.TextView;

import com.qhclh.ytzh.R;
import com.qhclh.ytzh.base.BaseActivity;

import java.util.ArrayList;
import java.util.List;

import butterknife.BindView;

/**
 * Created by 青花瓷 on 2018/3/22.
 */
///< 种禽日报表
public class PoultryDailyReportActivity extends BaseActivity {
    @BindView(R.id.toolbar)
    Toolbar mToolbar;
    @BindView(R.id.tv_toolbar_title)
    TextView tv_toolbar_title;
    @BindView(R.id.tabLayout_pdr)
    TabLayout mTabLayout;
    @BindView(R.id.viewPager_pdr)
    ViewPager mViewPager;

    private List<Fragment> mFragmentList = new ArrayList<>();
    private List<String> mTitleList = new ArrayList<>();
    private TabViewPagerAdapter mViewPagerAdapter;

    @Override
    protected int setLayoutId() {
        return R.layout.act_poultrydailyreport;
    }

    @Override
    protected void initView() {
        initToolbar(mToolbar, "种禽日报表", new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                finish();
            }
        });

        initTabLayout();
        initViewPager();
    }

    @Override
    protected void initData() {

    }

    @Override
    protected void initOper() {

    }


    private void initTabLayout() {
        mTitleList.add("育雏育成期");
        mTitleList.add("产蛋期");
        mTabLayout.setTabMode(TabLayout.MODE_FIXED);
    }

    private void initViewPager() {
        mFragmentList.add(new YuchuFragment());
        mFragmentList.add(new ChandanFragment());

        mViewPagerAdapter = new TabViewPagerAdapter(getSupportFragmentManager());
        mViewPager.setAdapter(mViewPagerAdapter);
        mViewPager.setOffscreenPageLimit(1);
        mTabLayout.setupWithViewPager(mViewPager);
    }

    private class TabViewPagerAdapter extends FragmentPagerAdapter {
        public TabViewPagerAdapter(FragmentManager fm) {
            super(fm);
        }

        @Override
        public Fragment getItem(int position) {
            return mFragmentList.get(position);
        }

        @Override
        public int getCount() {
            return mFragmentList.size();
        }


        @Override
        public CharSequence getPageTitle(int position) {
            return mTitleList.get(position);
        }
    }
}
